%define rname	zarafa-mailchecker
%define version 1.1.1
%define release alt1
%define cid 	\{F12EDBE0-6776-400f-80C8-10EE3CE74406\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release: 	%release

Summary:	Zarafa-plugin for Firefox
License:	%gpl3only
Group:		Networking/WWW
URL:		https://zarafa.erknet.nl/mozilla/
BuildArch:	noarch

Source0:	http://download.zarafa.com/community/final/Plugins/%rname-%version.xpi

Packager:	Radik Usupov <radik@altlinux.org>

BuildRequires(pre):	rpm-build-firefox rpm-build-licenses
BuildRequires:	unzip

%description
Checks the Zarafa Mail Server to see if there are new e-mails.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
unzip -qq -d %buildroot/%ciddir %SOURCE0

%postun
if [ "$1" = 0 ]; then
    [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Tue May 24 2011 Radik Usupov <radik@altlinux.org> 1.1.1-alt1
- Initial build for ALT Linux Sisyphus

